% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EGO.R
\name{addsimu}
\alias{addsimu}
\title{Make a new call to the FSPM and stack it to the already made}
\usage{
addsimu(yX, thetanew, seasons, x, times, Bounds)
}
\arguments{
\item{yX}{a list of outputs of the FSPM}

\item{thetanew}{a new vector of parameter where the FSPM has to be run}

\item{seasons}{a list with the names of the considered seasons}

\item{x}{sowing density}

\item{times}{times of observation}

\item{Bounds}{a length(x)*2 matrix with lower and upper bounds for each dimension of x}
}
\value{
an updated list of outputs of the FSPM at the Kriging design points. The length of the list is the number of considered season.
}
\description{
Make a new call to the FSPM and stack it to the already made
}
\examples{
 ## Kriging approximation
Bounds  = matrix(c(600,1000,1300,1800,1,6),nrow=3,ncol=2,byrow=TRUE)
D = DiceDesign::lhsDesign(30, 3)$design
Dun = unNormalise(D,Bounds )
met0809 <- BuildMeteodat("2008-2009")
met0910 <- BuildMeteodat("2009-2010")
nT=3
times = seq(160,305,length=nT)
y = t(sapply(1:nrow(Dun), function(i) fbiomass(200,met0809,Dun[i,])[times]))
y = log(y)
krig1 = lapply(1:ncol(y), function(k){
m <- DiceKriging::km(design=D, response=y[,k],nugget = .1,control=list(trace=FALSE))
return(m)})
y = t(sapply(1:nrow(Dun), function(i) fbiomass(200,met0910,Dun[i,])[times]))
y = log(y)
krig2 = lapply(1:ncol(y), function(k){
m <- DiceKriging::km(design=D, response=y[,k],nugget = .1,control=list(trace=FALSE))
return(m)})
krig = list(krig1,krig2)
## new simu to add
yX = lapply(krig,function(krigseason){
temp=sapply(1:length(krigseason),function(k){krigseason[[k]]@y})
temp
})
addsimu(yX,rep(.5,3),list("2008-2009","2009-2010"),200,times,Bounds)
}
