% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/toyFSPM.R
\name{computeLAI}
\alias{computeLAI}
\title{Compute the LAI for the toy model}
\usage{
computeLAI(x, theta)
}
\arguments{
\item{x}{cumulative degree}

\item{theta}{vector of 3 parameters, \code{theta[1]} is linked with the start of the LAI, \code{theta[2]} is linked with the end of t, \code{theta[3]} is linked with the max LAI}
}
\value{
LAI along time
}
\description{
Compute the LAI for the toy model
}
\examples{
met <- BuildMeteodat("2008-2009")
cumLAI <- computeLAI(met$cumdegree, c(800, 1600, 3))
plot(met$cumdegree, cumLAI, type="l")
}
