% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calibration.R
\name{exactlogpost}
\alias{exactlogpost}
\title{Compute log of the posterior distribution}
\usage{
exactlogpost(thetaN, logy, x, datmeteo, times, sigma2 = 0.1^2, Bounds)
}
\arguments{
\item{thetaN}{vector of parameters to calibrate}

\item{logy}{log of biomass observations}

\item{x}{sowing density}

\item{datmeteo}{meteorological data}

\item{times}{times of biomass observation}

\item{sigma2}{variance of the observational noise}

\item{Bounds}{a length(x)*2 matrix with lower and upper bounds for each dimension of x}
}
\value{
value of the log posterior distribution
}
\description{
Compute log of the posterior distribution
}
\examples{
Bounds  = matrix(c(600,1000,1300,1800,1,6),nrow=3,ncol=2,byrow=TRUE)
nT=3
times = seq(160,305,length=nT)
met = BuildMeteodat("2008-2009")
exactlogpost(Normalise(c(800,1600,3),Bounds),fbiomass(200,met,c(800,1600,3))[times]+rnorm(nT,0,sqrt(.1)),200,met,times,sigma2=.1,Bounds)
}
