% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calibration.R
\name{exactlogpostMulti}
\alias{exactlogpostMulti}
\title{Compute log posterior distribution for several datasets observed during different seasons}
\usage{
exactlogpostMulti(thetaN, listlogy, x, listdatmeteo, times, sigma2, Bounds)
}
\arguments{
\item{thetaN}{vector of parameters to calibrate}

\item{listlogy}{list of observed biomass for different seasons}

\item{x}{sowing density}

\item{listdatmeteo}{list of meteorological data from the seasons}

\item{times}{times of biomass observation}

\item{sigma2}{variance of the observational noise}

\item{Bounds}{a length(x)*2 matrix with lower and upper bounds for each dimension of x}
}
\value{
value of the log posterior distribution
}
\description{
Compute log posterior distribution for several datasets observed during different seasons
}
\examples{
Bounds  = matrix(c(600,1000,1300,1800,1,6),nrow=3,ncol=2,byrow=TRUE)
nT=3
times = seq(160,305,length=nT)
met0809 = BuildMeteodat("2008-2009")
met0910 = BuildMeteodat("2009-2010")
listmet = list(met0809,met0910)
listy = list(fbiomass(200,met0809,c(800,1600,3))[times]+rnorm(nT,0,sqrt(.1)),fbiomass(200,met0910,c(800,1600,3))[times]+rnorm(nT,0,sqrt(.1)))
exactlogpostMulti(Normalise(c(800,1600,3),Bounds),listy,200,listmet,times,sigma2=.1,Bounds)
}
