% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/toyFSPM.R
\name{fbiomass}
\alias{fbiomass}
\title{Compute biomass over time for the toy model}
\usage{
fbiomass(x, datmeteo, theta)
}
\arguments{
\item{x}{sowing density}

\item{datmeteo}{meteorological data extracted from raw data}

\item{theta}{parameters tuning the LAI}
}
\value{
cumulative biomass values over time
}
\description{
Compute biomass over time for the toy model
}
\examples{
met <- BuildMeteodat("2008-2009")
cumbiomass <- fbiomass(200, met, c(800, 1600, 3))
plot(met$cumdegree, cumbiomass, type="l")
}
