% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prediction.R
\name{predictExact}
\alias{predictExact}
\title{Probabilistic prediction from a distribution of theta}
\usage{
predictExact(x, datmeteo, distribtheta, Bounds)
}
\arguments{
\item{x}{sowing density}

\item{datmeteo}{meteorological data extracted from raw data}

\item{distribtheta}{sample of parameters in the unit cube}

\item{Bounds}{lower and upper bounds for parameters}
}
\value{
prediction for the biomass
}
\description{
Probabilistic prediction from a distribution of theta
}
\examples{
met <- BuildMeteodat("2008-2009")
Bounds  = matrix(c(600,1000,1300,1800,1,6),nrow=3,ncol=2,byrow=TRUE)
Predbiomass = predictExact(200,met,matrix(runif(300,.2,.8),100,3),Bounds)
meanBiom = apply(Predbiomass,2,mean)
q5 = apply(Predbiomass,2,quantile,.05) ; q95 = apply(Predbiomass,2,quantile,.95)
plot(met$cumdegree,meanBiom,type="l",ylim=c(0,14))
 lines(met$cumdegree,q5,lty=2) ; lines(met$cumdegree,q95,lty=2)
 legend("topleft",legend = c("0.05 quantile","mean","0.95 quantile"),lty=c(2,1,2))
}
