% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calibration.R
\name{predictmultdim}
\alias{predictmultdim}
\title{Compute Kriging metamodel prediction}
\usage{
predictmultdim(theta, krig1s)
}
\arguments{
\item{theta}{vector of parameters}

\item{krig1s}{list of km object for Kriging metamodels for the same season and different observation time}
}
\value{
a matrix with two rows, first row contains the predictions, second row contains the sd of the uncertainties on the prediction
}
\description{
Compute Kriging metamodel prediction
}
\examples{
Bounds  = matrix(c(600,1000,1300,1800,1,6),nrow=3,ncol=2,byrow=TRUE)
D = DiceDesign::lhsDesign(30, 3)$design
Dun = unNormalise(D,Bounds )
met <- BuildMeteodat("2008-2009")
nT=3
times = seq(160,305,length=nT)
y = t(sapply(1:nrow(Dun), function(i) fbiomass(200,met,Dun[i,])[times]))
y = log(y)
krig1s = lapply(1:ncol(y), function(k){
m <- DiceKriging::km(design=D, response=y[,k],nugget = .1,control=list(trace=FALSE))
return(m)})
predictmultdim(rep(.5,3),krig1s)
}
